JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Functions
juce_RangedDirectoryIterator.h File Reference

## Classes
class | DirectoryEntry
| Describes the attributes of a file or folder. More...
class | RangedDirectoryIterator
| Allows iterating over files and folders using C++11 range-for syntax. More...

## Functions
const DirectoryEntry & | operator* (const DirectoryEntry &e) noexcept
| A convenience operator so that the expression `*it++` works correctly when `it` is an instance of RangedDirectoryIterator.
RangedDirectoryIterator | begin (const RangedDirectoryIterator &it)
| Returns the iterator that was passed in.
RangedDirectoryIterator | end (const RangedDirectoryIterator &)
| Returns a default-constructed sentinel value.